// Copyright 2022 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package configuration

type ChangeEventHandler struct {
	Callback func(event ChangeEvent)
}

func (c *ChangeEventHandler) Handle(event ChangeEvent) {
	c.Callback(event)
}

type ErrorEventHandler struct {
	Callback func(event ErrorEvent)
}

func (c *ErrorEventHandler) Handle(event ErrorEvent) {
	c.Callback(event)
}
